// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for macos - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.windows:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for windows - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.linux:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for linux - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyAd3P3Rn_-HXBqo4OgAE3LlC_PSiQD6DTE',
    appId: '1:230205705319:web:a52794b936e87e366298c2',
    messagingSenderId: '230205705319',
    projectId: 'miss-france-prono',
    authDomain: 'miss-france-prono.firebaseapp.com',
    storageBucket: 'miss-france-prono.appspot.com',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyAhJcekKHqgAYrBw2ETnbqkqSUwlrZ0yis',
    appId: '1:230205705319:android:27d87766324f358b6298c2',
    messagingSenderId: '230205705319',
    projectId: 'miss-france-prono',
    storageBucket: 'miss-france-prono.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyCrYXzwpUlumTmeNWh4lrwuSRWlKCxjvbI',
    appId: '1:230205705319:ios:9693da1d9de313406298c2',
    messagingSenderId: '230205705319',
    projectId: 'miss-france-prono',
    storageBucket: 'miss-france-prono.appspot.com',
    iosClientId:
        '230205705319-o335hdulhi0dfl8oova5pfmvjjanl6be.apps.googleusercontent.com',
    iosBundleId: 'fr.glop.missfranceprono',
  );
}
